summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-13 23:53:24 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-13 23:53:24 +0100
commitb5db04808919b510a3df153f882cdb4676876d07 (patch)
tree703b9c5db87771f1b856a6c6d7d4a5cc4ae1a9b3 /script
parent6846c9f735e1cee2900c331530e3abbecf615040 (diff)
update/release: delete multi-tree upstream repos
e.g. src/coreboot/coreboot must not appear in a release, because we instead have directories like src/coreboot/default or src/coreboot/cros lbmk resets src/coreboot/coreboot to HEAD, but then resets revisions properly in copies of it therefore, for reproducibility, we must not include src/coreboot/coreboot, src/u-boot/u-boot or src/seabios/seabios into libreboot releases Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/update/project/release5
1 files changed, 5 insertions, 0 deletions
diff --git a/script/update/project/release b/script/update/project/release
index 69772415..a20703ac 100755
--- a/script/update/project/release
+++ b/script/update/project/release
@@ -93,6 +93,11 @@ fetch_trees()
for x in ${_f}; do
./update project trees -f "${x}" || err "${_xm}: fetch ${x}"
done
+ for x in config/*/build.list; do
+ [ -f "${x}" ] || continue
+ xp="${x#*/}"; xp="${xp%/*}"
+ [ -L "${xp}" ] || x_ rm -Rf "src/${xp}/${xp}"
+ done
rm -Rf */.git* */*/.git* */*/*/.git* */*/*/*/.git* */*/*/*/*/.git* \
*/*/*/*/*/*/.git* */*/*/*/*/*/*/.git* */*/*/*/*/*/*/*/.git* \
.git || err "${_xm}: rm-dotgit"